Package org.bukkit.command

# Class BufferedCommandSender

java.lang.Object
org.bukkit.command.BufferedCommandSender

All Implemented Interfaces:
  `Audience`, `Pointered`, `CommandSender`, `MessageCommandSender`, `Permissible`, `ServerOperator`

public class BufferedCommandSender extends Object implements MessageCommandSender

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.command.CommandSender

`CommandSender.Spigot`

## Constructor Summary

Constructors
Constructor
Description
`BufferedCommandSender()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getBuffer()`
`void`
`reset()`
`void`
`sendMessage(@NotNull String message)`
Sends this sender a message

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`sendMessage, sendMessage, sendMessage`

### Methods inherited from interface org.bukkit.command.MessageCommandSender

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, getName, getServer, hasPermission, hasPermission, isOp, isPermissionSet, isPermissionSet, name, recalculatePermissions, removeAttachment, sendMessage, sendMessage, sendMessage, setOp, spigot`

### Methods inherited from interface org.bukkit.permissions.Permissible

`permissionValue, permissionValue`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

## Constructor Details

### BufferedCommandSender

public BufferedCommandSender()

## Method Details

### sendMessage

public void sendMessage(@NotNull @NotNull String message)
Description copied from interface: `CommandSender`
Sends this sender a message

Specified by:
  `sendMessage` in interface `CommandSender`
Parameters:
  `message` - Message to be displayed
See Also:
  - `Audience.sendMessage(net.kyori.adventure.text.Component)`

### getBuffer

@NotNull public @NotNull String getBuffer()

### reset

public void reset()